%define upstream_name Test-Deep-Type
%define upstream_version 0.008

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	A Test::Deep plugin for validating type constraints
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Safe::Isa)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Needs)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(namespace::clean)

BuildArch:	noarch

%description
A Test::Deep plugin for validating type constraints.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make test

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-3.mga8
+ Revision: 1506241
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1286423
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 sander85 <sander85> 0.8.0-1.mga7
+ Revision: 1125077
- update to 0.008

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1034274
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 967772
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 850229
- imported package perl-Test-Deep-Type

